Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 223545 - The order and naming of menu entries for Git/Hg/Svn context menu is inconsistent - Usability
The order and naming of menu entries for Git/Hg/Svn context menu is inconsist...
Status: RESOLVED FIXED
Product: versioncontrol
Classification: Unclassified
Component: Code
7.3
PC Windows 7
: P3 (vote)
: 7.4
Assigned To: Tomas Stupka
issues@versioncontrol
http://wiki.netbeans.org/UEXMenus#Team
:
Depends on: 226504
Blocks: 223599
  Show dependency treegraph
 
Reported: 2012-12-09 10:09 UTC by markiewb
Modified: 2013-02-26 16:16 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
Shows the inconsistences of the context menu of git/hg/svn (39.85 KB, image/png)
2012-12-09 10:10 UTC, markiewb
Details
Shows the inconsistences of the context menu of git/hg/svn and compare with the IDEA VCS popup (77.43 KB, image/png)
2012-12-09 14:31 UTC, markiewb
Details

Note You need to log in before you can comment on or make changes to this bug.
Description markiewb 2012-12-09 10:09:18 UTC
[ BUILD # : 201212080001 ]
[ JDK VERSION : 1.7.0_09 ]

Reproduction:
* Checkout a Git-, a Hg-, and a Svn-project
* Open the context menu for the projects and select "Git"/"Hg"/"Svn"

ACTUAL: 
* the menuitems in the SCM context menu are not sorted in a consistent 
manner - see colored markers in the screenshot - it is obvious
*  the menuitems in the SCM context menu are not named in a consistent 
manner (Revert... vs. Revert modifications, Show changes vs. Status, Show 
History vs. Search History vs. Search History...)
-> it is confusing to use, i always have to think twice of the position/naming 
of show history/search history when switching between git/hg projects

EXPECTED:
* consistent ordering and naming of menu items

---
Product Version: NetBeans IDE Dev (Build 201212080001)
Java: 1.7.0_09; Java HotSpot(TM) 64-Bit Server VM 23.5-b02
Runtime: Java(TM) SE Runtime Environment 1.7.0_09-b05
System: Windows 7 version 6.1 running on amd64; Cp1252; de_DE (nb)
Comment 1 markiewb 2012-12-09 10:10:14 UTC
Created attachment 129101 [details]
Shows the inconsistences of the context menu of git/hg/svn
Comment 2 Ondrej Vrabec 2012-12-09 11:15:33 UTC
Benno, you're welcome to propose any general and common ordering. I have no opinion on this matter. Adding ui menu expert honza peska on CC.
Comment 3 markiewb 2012-12-09 14:31:55 UTC
Created attachment 129107 [details]
Shows the inconsistences of the context menu of git/hg/svn and compare with the IDEA VCS popup

(In reply to comment #2)
> Benno, you're welcome to propose any general and common ordering. I have no
> opinion on this matter. Adding ui menu expert honza peska on CC.

My proposal - taken from the clean Intellj IDEA UI (see screenshot to compare)

<menu>
Add
Commit
Revert
---
Show Changes
Show History
Show Annotations
---
Branch 
Tag
---
... (others)
<menu>
Comment 4 Jan Peska 2012-12-10 13:11:30 UTC
The UI team is currently reviewing main menus in general and there are some changes planned for NEXT release (after 7.3). Menu items ordering is one of the issues we are trying to solve so I suggest to handle this issue as part of the Team menu review.

Thanks for your screenshots and suggestion it will be useful for evaluation and it will be taken into account during decision-making.
Comment 5 Ondrej Vrabec 2013-02-26 16:16:22 UTC
fixed as part of the fox for #226504


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo